
Katello - Refactor #33608

Tracker # 29939 (Closed): Improve setting definition DSL and move setting registry to memory

use new Settings DSL in Katello

09/30/2021 03:01 PM - Jeremy Lenz

Status: Closed   

Priority: Normal   

Assignee: Jeremy Lenz   

Category: Tooling   

Target version: Katello 4.5.0   

Branch:  Pull request: https://github.com/Katello/katello/pull/100

64,

https://github.com/Katello/katello/pull/100

73

Difficulty:  Fixed in Releases: Katello 4.5.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Description

need to refactor Katello settings to use new DSL (see oezr community demo 30 Sep 2021)

Associated revisions

Revision ad23e562 - 04/28/2022 03:11 PM - Jeremy Lenz

Fixes #33608 - Use settings DSL (#10064)

Fixes #33608 - Use DSL for Katello settings

History

#1 - 10/06/2021 05:37 PM - Ian Ballou

- Triaged changed from No to Yes

#2 - 11/08/2021 04:21 PM - Jeremy Lenz

- Target version changed from Katello 4.3.0 to Katello 4.4.0

- Triaged changed from Yes to No

#3 - 11/10/2021 06:46 PM - Justin Sherrill

- Category set to Tooling

- Triaged changed from No to Yes

#4 - 11/29/2021 03:58 PM - Partha Aji

https://www.youtube.com/watch?v=iW6QE-glh2I&t=2875s

#5 - 02/02/2022 07:06 PM - Ian Ballou

Is this going to make 4.4.0? Should we move to 4.5.0?

#6 - 02/02/2022 07:18 PM - Jeremy Lenz

It's on our current sprint so it'll be close. But Foreman 3.3 will break Katello if it isn't done.

#7 - 02/09/2022 06:53 PM - Ian Ballou

- Triaged changed from Yes to No

#8 - 02/09/2022 06:53 PM - Ian Ballou

- Target version deleted (Katello 4.4.0)
#9 - 02/16/2022 07:28 PM - Jonathon Turel

- Target version set to Katello 4.5.0

- Triaged changed from No to Yes

#10 - 03/14/2022 11:49 AM - Ondřej Ezr

I've come up with https://github.com/theforeman/foreman/pull/9150

That gives Katello time until foreman 3.4 if we whitelist that deprecation warning.

But I belive it is not hard to update settings to use DSL, so if we can hit Foreman 3.3 release with this, it would be lovely

#11 - 04/19/2022 08:48 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Jeremy Lenz

- Pull request https://github.com/Katello/katello/pull/10064 added

#12 - 04/25/2022 07:29 PM - The Foreman Bot

- Pull request https://github.com/Katello/katello/pull/10073 added

#13 - 04/25/2022 07:44 PM - Jeremy Lenz

- Pull request deleted (https://github.com/Katello/katello/pull/10073)

#14 - 04/25/2022 07:46 PM - The Foreman Bot

- Pull request https://github.com/Katello/katello/pull/10073 added

#15 - 04/28/2022 03:11 PM - The Foreman Bot

- Fixed in Releases Katello 4.5.0 added

#16 - 04/28/2022 04:01 PM - Jeremy Lenz

- Status changed from Ready For Testing to Closed

Applied in changeset katello|ad23e562c7e88e93853e9cc3cf0087636cc198b0.
